import { Env, Lifecycle } from '@jolibox/types';
import { BaseSDK, BaseSDKEventMap } from './sdk';
declare const LIFECYCLE_ON_READY = "LifecycleSDK.onReady";
interface LifecycleSDKEventMap extends BaseSDKEventMap {
    [LIFECYCLE_ON_READY]: Env['hostUserInfo'] | undefined;
}
export declare class LifecycleSDK extends BaseSDK<LifecycleSDKEventMap> implements Lifecycle {
    constructor();
    onReady(callback: (info?: Env['hostUserInfo']) => void): void;
    exit(params: {
        onBeforeExit: () => void;
    }): {
        code: import("@jolibox/types").ResponseType;
        message: string;
    } | undefined;
    onJoliboxHide(params: () => void): void;
    onJoliboxShow(params: () => void): void;
}
export {};
